import { Listener } from './Listener';
import { Subscribable } from './Subscribable';
export declare type SubscribeFunction<This, Args extends any[]> = (listener: Listener<This, Args>) => void;
export declare type UnsubscribeFunction<This, Args extends any[]> = (listener: Listener<This, Args>) => boolean;
/**
 * Create a Subscribable given a subscribe, unsubscribe and a once function.
 *
 * @param subscribe
 * @param unsubscribe
 */
export declare function createSubscribable<This, Args extends any[]>(subscribe: SubscribeFunction<This, Args>, unsubscribe: UnsubscribeFunction<This, Args>): Subscribable<This, Args>;
//# sourceMappingURL=createSubscribable.d.ts.map